GLM_GTX_closest_point
Experimental extensions

Include <glm/gtx/closest_point.hpp> to use the features of this extension. More...

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | closestPointOnLine (vec< 3, T, Q > const &point, vec< 3, T, Q > const &a, vec< 3, T, Q > const &b)
| Find the point on a straight line which is the closet of a point. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | closestPointOnLine (vec< 2, T, Q > const &point, vec< 2, T, Q > const &a, vec< 2, T, Q > const &b)
| 2d lines work as well

## Detailed Description

Include <glm/gtx/closest_point.hpp> to use the features of this extension.

Find the point on a straight line which is the closet of a point.

## Function Documentation

GLM_FUNC_DECL vec<3, T, Q> glm::closestPointOnLine | ( | vec< 3, T, Q > const & | point,
|  | vec< 3, T, Q > const & | a,
|  | vec< 3, T, Q > const & | b
| ) |  |

Find the point on a straight line which is the closet of a point.

See also
  GLM_GTX_closest_point